%define name	ocaml-mysql
%define version	1.0.4
%define release	%mkrel 7

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Bindings for interacting with MySQL databases from ocaml
Source: 	http://raevnos.pennmush.org/code/ocaml-mysql/%{name}-%{version}.tar.bz2
URL:		http://raevnos.pennmush.org/code/ocaml-mysql/
License:	GPL
Group:		Development/Other
BuildRequires:	ocaml
BuildRequires:	camlp4
BuildRequires:	mysql-devel
BuildRequires:  findlib
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
This module provides access to MySQL databases, roughly following the C API.

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:   mysql-devel
Requires:   %{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q

%build
%configure2_5x
%make reallyall

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{ocaml_sitelib}
install -d -m 755 %{buildroot}/%{ocaml_sitelib}/stublibs
make install OCAMLFIND_INSTFLAGS="-destdir %{buildroot}/%{ocaml_sitelib}"
rm -f %{buildroot}/%{ocaml_sitelib}/stublibs/*.owner

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYING README VERSION
%dir %{ocaml_sitelib}/mysql
%{ocaml_sitelib}/mysql/*.cmi
%{ocaml_sitelib}/stublibs/dllmysql_stubs.so

%files devel
%defattr(-,root,root)
%{ocaml_sitelib}/mysql/*
%exclude %{ocaml_sitelib}/mysql/*.cmi


%changelog
* Tue Mar 04 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-7mdv2008.1
+ Revision: 178368
- rebuild

* Wed Jan 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-6mdv2008.1
+ Revision: 153665
- build native interface too (Andre Nathan <andre@digirati.com.br>)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-5mdv2008.0
+ Revision: 78234
- drop useless conflict, the files are identical

* Sun Sep 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-4mdv2008.0
+ Revision: 78167
- fix interdependency
  swap stub libs to non-devel package
  add conflicts to help upgrade

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-3mdv2008.0
+ Revision: 77542
- drop macro definition, now in rpm-mandriva-setup
  ship .cmi file in non-devel subpackage


* Tue Feb 20 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-2mdv2007.0
+ Revision: 123143
- requires corresponding native devel package

* Mon Feb 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-1mdv2007.1
+ Revision: 122717
- fix build dependencies

* Mon Feb 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.4-1mdv2007.1
- first mdv release

